GpxSegmentImporter crash when ignoreShapeEncoding change value

2018-08-31 02:49 PM - Jérôme Seigneuret

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27566

Description

Hi,

I have change value of "ignore Shape Encoding " in preference panel and when I click on OK I have this error.

in QGIS.ini this value is set to true by default

ignoreShapeEncoding=true

sorry but part report is in french

Une erreur est survenue lors de l'éxécution du code Python:

RuntimeError: wrapped C/C++ object of type GpxSegmentImporterAlgorithm has been deleted 

Traceback (most recent call last):

  File

"C:/Users/user1/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\GpxSegmentImporter\gpx_segment_importer_provider.py", li

y", line 117, in loadAlgorithms

    self.addAlgorithm(alg)

RuntimeError: wrapped C/C++ object of type GpxSegmentImporterAlgorithm has been deleted

Version de Python : 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

Version de QGIS : 3.2.2-Bonn Bonn, 26842169e9

Chemin Python :

C:/OSGEO4~1/apps/qgis/./python

C:/Users/user1/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/user1/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/OSGEO4~1/apps/qgis/./python/plugins

C:\OSGeo4W64\bin\python36.zip

C:\OSGEO4~1\apps\Python36\DLLs

C:\OSGEO4~1\apps\Python36\lib

C:\OSGeo4W64\bin

C:\OSGEO4~1\apps\Python36

C:\OSGEO4~1\apps\Python36\lib\site-packages

C:\OSGEO4~1\apps\Python36\lib\site-packages\win32

C:\OSGEO4~1\apps\Python36\lib\site-packages\win32\lib

C:\OSGEO4~1\apps\Python36\lib\site-packages\Pythonwin

C:/Users/user1/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:\Users\user1\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins
History

#1 - 2018-08-31 04:19 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

That plugin is a 3rd party plugin, not a core one.

2024-04-29 2/2


